View Issue Details

IDProjectCategoryView StatusLast Update
0017120CentOS-8dnfpublic2020-05-14 16:21
Reporterllad1968 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version8.1.1911 
Target VersionFixed in Version 
Summary0017120: DNF dnf download problem
Descriptiondnf / yum will not download source for qt5-qtbase.

dnf download -v --source qt5-qtbase returns

Completion plugin: Generating completion cache...
  --> Package : qt5-qtbase-5.11.1-7.el8.i686 Source : qt5-qtbase-5.11.1-7.el8.src.rpm
  --> Package : qt5-qtbase-5.11.1-7.el8.x86_64 Source : qt5-qtbase-5.11.1-7.el8.src.rpm
No package qt5-qtbase-5.11.1-7.el8.src available.
Exiting due to strict setting.
Error: No package qt5-qtbase-5.11.1-7.el8.src available.

I can see and download the package by browsing in http://vault.centos.org/8.1.1911/AppStream/Source/SPackages/

Maybe I'm doing something wrong but

/var/log/dnf.log has

2020-03-07T15:04:29Z DEBUG Completion plugin: Generating completion cache...
2020-03-07T15:04:29Z DEBUG --> Package : qt5-qtbase-5.11.1-7.el8.i686 Source : qt5-qtbase-5.11.1-7.el8.src.rpm
2020-03-07T15:04:29Z DEBUG --> Package : qt5-qtbase-5.11.1-7.el8.x86_64 Source : qt5-qtbase-5.11.1-7.el8.src.rpm
2020-03-07T15:04:29Z ERROR No package qt5-qtbase-5.11.1-7.el8.src available.
2020-03-07T15:04:29Z ERROR Exiting due to strict setting.
2020-03-07T15:04:29Z DDEBUG Cleaning up.
2020-03-07T15:04:29Z SUBDEBUG
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf-plugins/download.py", line 208, in _get_packages
    queries.append(func(pkg_spec))
  File "/usr/lib/python3.6/site-packages/dnf-plugins/download.py", line 280, in _get_query_source
    raise dnf.exceptions.PackageNotFoundError(msg)
dnf.exceptions.PackageNotFoundError: No package qt5-qtbase-5.11.1-7.el8.src available.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 65, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 98, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 114, in cli_run
    cli.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 1151, in run
    return self.command.run()
  File "/usr/lib/python3.6/site-packages/dnf-plugins/download.py", line 97, in run
    pkgs = self._get_pkg_objs_source(self.opts.packages)
  File "/usr/lib/python3.6/site-packages/dnf-plugins/download.py", line 171, in _get_pkg_objs_source
    pkgs = set(self._get_packages(source_pkgs, source=True))
  File "/usr/lib/python3.6/site-packages/dnf-plugins/download.py", line 213, in _get_packages
    raise dnf.exceptions.Error(e)
dnf.exceptions.Error: No package qt5-qtbase-5.11.1-7.el8.src available.
2020-03-07T15:04:29Z CRITICAL Error: No package qt5-qtbase-5.11.1-7.el8.src available.


Steps To ReproduceTry

dnf download -v --source qt5-qtbase

Tagsdnf yum

Activities

llad1968

llad1968

2020-03-07 16:32

reporter   ~0036480

I think this has something todo with release 1911 which I am using.

http://vault.centos.org/centos/8/AppStream/Source/SPackages/

points to an older version of src.rpm 1905 I think.
villapla

villapla

2020-05-14 16:20

reporter   ~0036932

You are right, CentOS-Sources.repo has the following 'baseurl'

    baseurl=http://vault.centos.org/$contentdir/$releasever/BaseOS/Source/

This resolves to:

    http://vault.centos.org/centos/8/AppStream/Source

But the current source packages are located at:

    http://vault.centos.org/8.1.1911/BaseOS/

Try modifying /etc/yum.repos.d/CentOS-Sources.repo in the following way:
1) Remove '$contentdir/'
2) Replace '$releasever' with '8.1.1911'

Issue History

Date Modified Username Field Change
2020-03-07 15:15 llad1968 New Issue
2020-03-07 16:32 llad1968 Note Added: 0036480
2020-05-14 16:20 villapla Note Added: 0036932
2020-05-14 16:21 villapla Tag Attached: dnf yum